{
  "processors": [
    {
      "processor_type": "minecraft:rule",
      "rules": [
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:wheat",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:wheat",
            "Properties": {
              "age": "6"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:wheat",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:wheat",
            "Properties": {
              "age": "5"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:wheat",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:wheat",
            "Properties": {
              "age": "4"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:wheat",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:wheat",
            "Properties": {
              "age": "3"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:carrots",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:carrots",
            "Properties": {
              "age": "6"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:carrots",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:carrots",
            "Properties": {
              "age": "3"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:carrots",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:carrots",
            "Properties": {
              "age": "1"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:potatoes",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:potatoes",
            "Properties": {
              "age": "6"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:potatoes",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:potatoes",
            "Properties": {
              "age": "3"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:potatoes",
              "Properties": {
                "age": "7"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:potatoes",
            "Properties": {
              "age": "1"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:beetroots",
              "Properties": {
                "age": "3"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:beetroots",
            "Properties": {
              "age": "2"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:beetroots",
              "Properties": {
                "age": "3"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:beetroots",
            "Properties": {
              "age": "1"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:beetroots",
              "Properties": {
                "age": "3"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:beetroots",
            "Properties": {
              "age": "0"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:sweet_berry_bush",
              "Properties": {
                "age": "3"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:sweet_berry_bush",
            "Properties": {
              "age": "2"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:sweet_berry_bush",
              "Properties": {
                "age": "3"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:sweet_berry_bush",
            "Properties": {
              "age": "1"
            }
          }
        },
        {
          "input_predicate": {
            "predicate_type": "minecraft:random_blockstate_match",
            "probability": 0.25,
            "block_state": {
              "Name": "minecraft:sweet_berry_bush",
              "Properties": {
                "age": "3"
              }
            }
          },
          "location_predicate": {
            "predicate_type": "minecraft:always_true"
          },
          "output_state": {
            "Name": "minecraft:sweet_berry_bush",
            "Properties": {
              "age": "0"
            }
          }
        }
      ]
    }
  ]
}